# -*- coding: utf-8 -*-
from setuphelpers import *
import shutil
import os

uninstallkey = []

def install():
    print('Suprresion du dossier')
    if isdir(r'C:\Program Files\LTC'):
        remove_desktop_shortcut(r'LTspriceXVII')
        remove_tree(r'C:\Program Files\LTC')
    print('copie des fichiers')
    copytree2(r'LTC',r'C:\Program Files')
    print('Ajout du Raccourci bureau')
    create_desktop_shortcut(r'LTspriceXVII',target=r'C:\Program Files\LTC\LTspiceXVII\XVIIx64')

def uninstall():
    print('Suppression du dossier')
    if isdir(r'C:\Program Files\LTC'):
        remove_tree(r'C:\Program Files\LTC')
    print('Suppression du raccourci')
    remove_desktop_shortcut(r'LTspriceXVII')
